palogist(1)

NAME
palogist - Perform Genome-Wide Association Analysis using a logistic model

SYNOPSIS
palogist [ command-line options ]

DESCRIPTION
palogist runs a linear regression on large imputed data sets in an efficient way.

Options

  Required command line options

-p, --pheno FILE
    Read phenotype data from FILE

-i, --info FILE
    Read SNP information from FILE (e.g. MLINFO file).

-d, --dose FILE
    SNP predictor (e.g. MLDOSE/MLPROB) file name.

  Optional command line options

-m, --map FILE
    Map file name, containing base pair positions for each SNP.

-n, --nids NUMBER
    Number of people to analyse.

-c, --chrom FILE
    Chromosome (to be passed to output).

-o, --out FILE
    Output file name (default is regression.out.txt ).

-s, --skipd NUMBER
    How many columns to skip in predictor (dose/prob) file (default is 2).

-t, --ntraits NUMBER
    How many traits are analysed (default is 1).

-g, --ngpreds NUMBER
    How many predictor columns per marker (default 1 = MLDOSE; else use 2 for MLPROB).

-a, --separat CHAR
    Use character CHAR to separate fields in the output file(s) (default is space).

-r, --score
    Use the score test.

-e, --no-head
    Do not report header line in the output.

-f --flipmaf
    Flip reference and effect allele according to Minor Allele Frequency (MAF) such that the minor allele is the effect/predictor allele. If this option is set, ProbABEL will check for each genetic variant whether the Freq1 column in the info file (see the --info option) is > 0.5 and if so will flip the probabilities/dosage of that variant such that A1 and A2 are interchanged. This will add a column called AllelesFlipped to the output file(s), indicating whether the alleles were flipped (1) or not (0).

-l --allcov
    Report estimates for all covariates (large outputs!).

-b, --interaction NUMBER
    Which covariate to use for interaction with SNP analysis (default is no interaction, 0). NUMBER indicates the column number of the covariate.

-v, --mmscore FILE
    Score test in samples of related individuals. The FILE argument is the name of a file with the inverse correlation matrix. NOTE THAT THIS FEATURE IS STILL EXPERIMENTAL!

-u, --robust
    Report robust (a.k.a. sandwich, a.k.a. Hubert-White) standard errors.

--help
    Print help.

SEE ALSO
probabel(1), palinear(1), pacoxph(1)

BUGS
The bugtracker is located at
https://github.com/GenABEL-Project/ProbABEL/issues

AUTHORS
Lennart C. Karssen